XMLReader::setSchema
XMLWriter
XMLReader
PHP Manual

# XMLReader::XML

(PHP 5 >= 5.1.2)

XMLReader::XML — Set the data containing the XML to parse

### 설명

bool XMLReader::xml ( string `$source` [, string `$encoding` [, int `$options`= 0 ]] )

Set the data containing the XML to parse.

### 인수

`source`

  String containing the XML to be parsed.

`encoding`

  The document encoding or `NULL`.

`options`

  A bitmask of the LIBXML_* constants.

### 반환값

성공할 경우 `TRUE`를, 실패할 경우 `FALSE`를 반환합니다.

### 변경점

버전 | 설명
--- | ---
5.2.0 | `encoding` and `options` were added.

### 참고

- XMLReader::open - Set the URI containing the XML to parse
- XMLReader::close - Close the XMLReader input

XMLReader::setSchema
XMLWriter
XMLReader
PHP Manual